Show a form
curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"title": "<string>",
"is_published": true,
"state": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"submissions_count": 123,
"attempt_url": "<string>",
"is_archived": true,
"is_disabled": true,
"is_suspended": true,
"created_by": "<string>",
"questions": [
{
"id": "<string>",
"label": "<string>",
"kind": "<string>",
"slug": "<string>",
"position": 123,
"is_required": true,
"is_hidden": true
}
]
}{
"error": "Form does not exist."
}Forms
Show a form
Show one form with its questions, in the order they appear on the form.
GET
/
forms
/
{form_id}
Show a form
curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id} \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"title": "<string>",
"is_published": true,
"state": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"submissions_count": 123,
"attempt_url": "<string>",
"is_archived": true,
"is_disabled": true,
"is_suspended": true,
"created_by": "<string>",
"questions": [
{
"id": "<string>",
"label": "<string>",
"kind": "<string>",
"slug": "<string>",
"position": 123,
"is_required": true,
"is_hidden": true
}
]
}{
"error": "Form does not exist."
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique ID of the form. Refer to Getting the Form ID for detailed instructions.
Response
OK - Request succeeded